Bug 2270559 (CVE-2024-22025) - CVE-2024-22025 nodejs: using the fetch() function to retrieve content from an untrusted URL leads to denial of service
Summary: CVE-2024-22025 nodejs: using the fetch() function to retrieve content from an...
Keywords:
Status: NEW
Alias: CVE-2024-22025
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2270561 2270562 2270563 2270564 2270565 2270566 2270567
Blocks: 2270557
TreeView+ depends on / blocked
 
Reported: 2024-03-21 00:01 UTC by Robb Gatica
Modified: 2024-07-23 08:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Node.js that allows a denial of service attack through resource exhaustion when using the fetch() function to retrieve content from an untrusted URL. The vulnerability stems from the fetch() function in Node.js that always decodes Brotli, making it possible for an attacker to cause resource exhaustion when fetching content from an untrusted URL. This flaw allows an attacker to control the URL passed into fetch() to exhaust memory, potentially leading to process termination, depending on the system configuration.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:2794 0 None None None 2024-05-09 09:29:38 UTC
Red Hat Product Errata RHBA-2024:2795 0 None None None 2024-05-09 09:29:45 UTC
Red Hat Product Errata RHBA-2024:2854 0 None None None 2024-05-15 12:44:57 UTC
Red Hat Product Errata RHBA-2024:2856 0 None None None 2024-05-15 15:42:18 UTC
Red Hat Product Errata RHBA-2024:2902 0 None None None 2024-05-20 01:25:41 UTC
Red Hat Product Errata RHBA-2024:2922 0 None None None 2024-05-20 11:56:37 UTC
Red Hat Product Errata RHSA-2024:2778 0 None None None 2024-05-09 06:20:43 UTC
Red Hat Product Errata RHSA-2024:2779 0 None None None 2024-05-09 06:18:17 UTC
Red Hat Product Errata RHSA-2024:2780 0 None None None 2024-05-09 06:21:29 UTC
Red Hat Product Errata RHSA-2024:2853 0 None None None 2024-05-15 11:28:57 UTC
Red Hat Product Errata RHSA-2024:2910 0 None None None 2024-05-20 02:06:16 UTC
Red Hat Product Errata RHSA-2024:4559 0 None None None 2024-07-16 12:45:03 UTC
Red Hat Product Errata RHSA-2024:4721 0 None None None 2024-07-23 08:35:13 UTC

Description Robb Gatica 2024-03-21 00:01:54 UTC
A vulnerability in Node.js has been identified, allowing for a Denial of Service (DoS) attack through resource exhaustion when using the fetch() function to retrieve content from an untrusted URL. The vulnerability stems from the fact that the fetch() function in Node.js always decodes Brotli, making it possible for an attacker to cause resource exhaustion when fetching content from an untrusted URL. An attacker controlling the URL passed into fetch() can exploit this vulnerability to exhaust memory, potentially leading to process termination, depending on the system configuration.

Reference:
https://hackerone.com/reports/2284065

Comment 1 Robb Gatica 2024-03-21 00:07:11 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 2270561]


Created nodejs16 tracking bugs for this issue:

Affects: fedora-all [bug 2270564]


Created nodejs18 tracking bugs for this issue:

Affects: fedora-all [bug 2270565]


Created nodejs20 tracking bugs for this issue:

Affects: fedora-all [bug 2270566]


Created nodejs:13/nodejs tracking bugs for this issue:

Affects: epel-all [bug 2270562]


Created nodejs:16-epel/nodejs tracking bugs for this issue:

Affects: epel-all [bug 2270563]


Created nodejs:16/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 2270567]

Comment 3 errata-xmlrpc 2024-05-09 06:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2779 https://access.redhat.com/errata/RHSA-2024:2779

Comment 4 errata-xmlrpc 2024-05-09 06:20:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2778 https://access.redhat.com/errata/RHSA-2024:2778

Comment 5 errata-xmlrpc 2024-05-09 06:21:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2780 https://access.redhat.com/errata/RHSA-2024:2780

Comment 6 errata-xmlrpc 2024-05-15 11:28:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2853 https://access.redhat.com/errata/RHSA-2024:2853

Comment 7 errata-xmlrpc 2024-05-20 02:06:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2910 https://access.redhat.com/errata/RHSA-2024:2910

Comment 9 errata-xmlrpc 2024-07-16 12:45:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:4559 https://access.redhat.com/errata/RHSA-2024:4559

Comment 10 errata-xmlrpc 2024-07-23 08:35:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Update Services for SAP Solutions

Via RHSA-2024:4721 https://access.redhat.com/errata/RHSA-2024:4721


Note You need to log in before you can comment on or make changes to this bug.